Bug 228701 - net/py-python-neutronclient: update to 6.7.0
Summary: net/py-python-neutronclient: update to 6.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228681 228686 228688 228693 228696
Blocks: 228845 228853
  Show dependency treegraph
 
Reported: 2018-06-02 17:13 UTC by Kai Knoblich
Modified: 2018-07-10 09:17 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-python-neutronclient-6.7.0.patch (5.74 KB, patch)
2018-06-02 17:13 UTC, Kai Knoblich
no flags Details | Diff
py-python-neutronclient-6.7.0-rev2.patch (5.73 KB, patch)
2018-06-09 17:58 UTC, Kai Knoblich
no flags Details | Diff
py-python-keystoneclient-3.15.0-v3.patch (3.13 KB, patch)
2018-06-22 14:16 UTC, Kai Knoblich
no flags Details | Diff
py-python-neutronclient-6.7.0-v3.patch (5.55 KB, patch)
2018-07-09 15:23 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 17:13:46 UTC
Created attachment 193941 [details]
py-python-neutronclient-6.7.0.patch

Hello,

attached is the patch from svn that updates net/py-python-neutronclient to 6.7.0 .

Changes by upstream:
- https://docs.openstack.org/releasenotes/python-neutronclient/queens.html

Changes to the port:
- added LICENSE and LICENSE_FILE
- sorted variables a bit
- added DOCS option with appropriate dependencies
- updated WWW and improved formatting of pkg-descr

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- There's already a newer release available but v6.7.0 is the latest supported release for the Queens-Release Series (see also: https://releases.openstack.org/queens/index.html#queens-python-neutronclient)
- Before this port can be committed following ports must be added/updated first:
-> add textproc/py-openstackdocstheme (see also PR #228681: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228681)
-> add textproc/py-reno (see also PR #228686: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228686)
-> update devel/py-cliff (see also PR #228688: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228688)
-> update devel/py-os-client-config (see also PR #228693: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228693)
-> update devel/py-osc-lib (see also PR #228696: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228696)
Comment 1 Kai Knoblich freebsd_committer 2018-06-09 17:58:00 UTC
Created attachment 194104 [details]
py-python-neutronclient-6.7.0-rev2.patch

Same patch with keyword "concurrent" removed from USE_PYTHON.
Comment 2 Kai Knoblich freebsd_committer 2018-06-22 14:16:19 UTC
Created attachment 194491 [details]
py-python-keystoneclient-3.15.0-v3.patch

Rebased patch after r472884
Comment 3 Kai Knoblich freebsd_committer 2018-07-09 15:23:38 UTC
Created attachment 194999 [details]
py-python-neutronclient-6.7.0-v3.patch

Correct patch -> s/keystone/neutron/
Comment 4 commit-hook freebsd_committer 2018-07-10 09:17:31 UTC
A commit references this bug:

Author: miwi
Date: Tue Jul 10 09:16:34 UTC 2018
New revision: 474341
URL: https://svnweb.freebsd.org/changeset/ports/474341

Log:
  - Update to 6.7.0
  - Added LICENSE and LICENSE_FILE
  - Sorted variables a bit
  - Added DOCS option with appropriate dependencies
  - Updated WWW and improved formatting of pkg-descr

  PR:		228701
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/net/py-python-neutronclient/Makefile
  head/net/py-python-neutronclient/distinfo
  head/net/py-python-neutronclient/pkg-descr